<?php
/**
 * Provide the schedule statistics view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://www.evergreencontentposter.com/
 * @since      1.2.0
 * @package    Evergreen_Content_Poster
 * @subpackage Evergreen_Content_Poster/admin/partials
 * @author     evergreencontentposter <support@evergreencontentposter.com>
 */

	global $statistics;
?>

<div class="ecp-grid ecp-col-940 ecp-option-container ecp-field-setting">
	<div class="ecp-grid ecp-col-300">
    	<p class="ecp-input-label"><?php _e('Schedule statistics', 'evergreen-content-poster'); ?></p>
		<p class="description"><?php _e('To help you create a diverse mix of posts, see how many times each category is scheduled each day, and what percentage of times that is.', 'evergreen-content-poster'); ?></p>
	</div>
</div>

<div class="ecp-grid ecp-col-940 ecp-option-container ecp-field-setting">
    <ul class="ecp-schedule-stats">
        <?php
        $ecp_scheduleStats = [
            'categories' => __('Category', 'evergreen-content-poster'),
            'sun' => __('Sunday', 'evergreen-content-poster'),
            'mon' => __('Monday', 'evergreen-content-poster'),
            'tue' => __('Tuesday', 'evergreen-content-poster'),
            'wed' => __('Wednesday', 'evergreen-content-poster'),
            'thu' => __('Thursday', 'evergreen-content-poster'),
            'fri' => __('Friday', 'evergreen-content-poster'),
            'sat' => __('Saturday', 'evergreen-content-poster'),
            'total' => __('Total per week', 'evergreen-content-poster'),
        ];

        foreach ($ecp_scheduleStats as $key => $value) { ?>
            <li>
                <div class="ecp-schedule-stats_day">
                    <div class="ecp-schedule-stats-header">
                        <?php _e($value, 'evergreen-content-poster'); ?>
                    </div>
                </div>
            </li>
        <?php } ?>
    </ul>

    <div id="ecp-schedule-body-statistic">
        <div class="ecp-col-940 ecp-option-container ecp-field-setting statistic_body" style="">
            <?php foreach ($ecp_scheduleStats as $key => $item) { ?>
                <div class="ecp-grid statistic_col" style=" ">
                    <?php
                    foreach ($statistics[$key] as $value) { ?>
                        <div class="statistic-box" <?php if ($key !== 'categories' && !$value['num']) { ?> style="background: #f0f0f0" <?php } ?>>
                            <?php if ($key === 'categories') { ?>
                                <p><?php echo $value ? $value : '-' ?></p>
                            <?php } else { ?>
                                <p><?php echo $value['num'] ? $value['num'] . ' / ' . $value['person'] * 100 . '%' : '-' ?></p>
                            <?php }?>

                        </div>
                    <?php } ?>
                </div>
            <?php } ?>
        </div>
    </div>
</div>
