<?php
/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://www.evergreencontentposter.com/
 * @since      1.0.0
 * @package    Evergreen_Content_Poster
 * @subpackage Evergreen_Content_Poster/i18n
 * @author     evergreencontentposter <support@evergreencontentposter.com>
 */
class Evergreen_Content_Poster_i18n
{
    /**
     * Load the plugin text domain for translation.
     *
     * @since    1.0.0
     */
    public function load_plugin_textdomain(): void
    {
        load_plugin_textdomain(
		    'evergreen-content-poster',
		    false,
		    dirname(dirname(plugin_basename(__FILE__))) . '/languages/'
		);
    }
}
