<?php
/**
 * Fired when the plugin is uninstalled.
 *
 * @link       https://www.evergreencontentposter.com/
 * @since      1.0.0
 *
 * @package    Evergreen_Content_Poster
 * @author     evergreencontentposter <support@evergreencontentposter.com>
 */

// If uninstall not called from WordPress, then exit.
if (! defined('WP_UNINSTALL_PLUGIN')) {
    exit;
}

require_once plugin_dir_path(__FILE__) . 'includes/class-evergreen_content_poster-deactivator.php';
require_once 'evergreen_content_poster.php';

$deactivator = new Evergreen_Content_Poster_Deactivator();
$deactivator->ecp_deactivate(false);
// remove plugin setting options
$deactivator->unregister_settings();

$ecp_options = get_option('ecp_options');
// update statistic api
$token = evergreenGetStatisticsToken();
$data['sites'] = [
    'token' => $token,
    'url' => home_url(),
    'deinstall_date' => date('Y-m-d H:i:s'),
    'status' => 'deleted',
    'plugin_name' => 'evergreen content poster',
];

updateApiStatistics($data);
